//go:build windows || nogm
// +build windows nogm

/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2020. All rights reserved.
 */

// Package gmcrypto the gm algorithm for generate of certificate and key
package gmcrypto

import (
	"time"

	"huawei.com/huaweichain/common/cryptomgr"
)

// gmcert gm certificate
type gmcert struct {
}

// GenerateCert create certificate
func GenerateCert(info *cryptomgr.CertBasicInfo, pubKey cryptomgr.Key, caPriKey cryptomgr.Key,
	caCert cryptomgr.Cert) (cryptomgr.Cert, error) {
	return nil, nil
}

// GenerateSelfSignCert create self signed certificate
func GenerateSelfSignCert(info *cryptomgr.CertBasicInfo,
	key cryptomgr.Key) (cryptomgr.Cert, error) {
	return nil, nil
}

// GenerateMiddleCACert generate middle CA cert
func GenerateMiddleCACert(info *cryptomgr.CertBasicInfo, pubKey cryptomgr.Key, caPriKey cryptomgr.Key,
	caCert cryptomgr.Cert) (cryptomgr.Cert, error) {
	return nil, nil
}

// GetCert create certificate from pem
func GetCert(pem []byte) (cryptomgr.Cert, error) {
	return nil, nil
}

// GetCommonName get common name
func (g *gmcert) GetCommonName() string {
	return ""
}

// GetSignAlg get sign algorithm of certificate
func (g *gmcert) GetSignAlg() (string, error) {
	return cryptomgr.Sm2WithSm3, nil
}

// GetExpireTime get expire time
func (g *gmcert) GetExpireTime() time.Time {
	return time.Time{}
}

// GetOrganizationalUnit get organization unit
func (g *gmcert) GetOrganizationalUnit() []string {
	return nil
}

// GetOrganization get organization
func (g *gmcert) GetOrganization() []string {
	return nil
}

// Verify verify the message signature
func (g *gmcert) Verify(msg []byte, signature []byte, hashOpt string) error {
	return nil
}

// CheckValidation check validation
func (g *gmcert) CheckValidation(rootCerts []cryptomgr.Cert) (string, error) {
	return "", nil
}

// GetDerPublicKey 获取der格式的public key
func (g *gmcert) GetDerPublicKey() ([]byte, error) {
	return nil, nil
}

// GetPemCertBytes get pem bytes
func (g *gmcert) GetPemCertBytes() []byte {
	return nil
}

// GetFingerPrint get finger print
func (g *gmcert) GetFingerPrint() string {
	return ""
}

// GetSerialNumber get serial number of cert
func (g *gmcert) GetSerialNumber() string {
	return ""
}

// GetBasicInfo get basic information
func (g *gmcert) GetBasicInfo() *cryptomgr.CertBasicInfo {
	return nil
}

// CheckPublicKeyLength get publicKey length
func (g *gmcert) CheckPublicKeyLength() error {
	return nil
}

// IsCaCert check if the cert is ca cert
func (g *gmcert) IsCaCert() bool {
	return false
}

// CheckGmCertPara check certificate interface implemented by gm cert struct
func CheckGmCertPara(cert cryptomgr.Cert) error {
	return nil
}
