//go:build windows || nogm
// +build windows nogm

/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2022-2023. All rights reserved.
 */

package gmcrypto

import (
	"github.com/pkg/errors"

	"huawei.com/huaweichain/common/cryptomgr"
)

type gmSm4 struct {
	key []byte
}

// NewSm4KeyWithRandNum new sm4 key with random number
func NewSm4KeyWithRandNum(key []byte) (cryptomgr.SymmetricKey, error) {
	return nil, errors.New("not support generate sm4 key with base64 key string")
}

// NewSm4Key new sm4 key
func NewSm4Key() (cryptomgr.SymmetricKey, error) {
	return nil, errors.New("not support generate sm4 key")
}

// GetKeyBytes get bytes format key
func (g *gmSm4) GetKeyBytes() []byte {
	return nil
}

// Encrypt encrypt plain txt
func (g *gmSm4) Encrypt(plainTxt []byte) ([]byte, error) {
	return nil, errors.New("not support sm4 encrypt")
}

// Decrypt decrypt cipher txt and iv
func (g *gmSm4) Decrypt(cipherTxtAndIv []byte) ([]byte, error) {
	return nil, errors.New("not support sm4 decrypt")
}
