/* *********************************************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2022-2022. All rights reserved.
 * Description: GM
 * Create     : 2022-10-11
 * ****************************************************************************************************************** */

#ifndef SSL_H
#define SSL_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "ylong_tls.h"

struct config {
    void *conn_id;
    char *serverName;
    char *alpn_proto;
    int mandatory;

	void *key;
	unsigned int key_len;
	void *cert;
	unsigned int cert_len;
	void *root;
	unsigned int root_len;
} config;

struct result {
    ylong_tls_stream *stream;
    char *err;
    int err_len;
} result;

#define ERR_LEN 256

struct result clientHandshake(struct config cfg);
struct result serverHandshake(struct config cfg);

struct result getStreamError(ylong_tls_stream *stream);

void freeResultErr(struct result res);

extern int DestroyCallback(void*);
extern int WriteCallback(void*, char*, unsigned int);
extern int ReadCallback(void*, char*, unsigned int);


#endif