/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2021-2022. All rights reserved.
 */

package wrapper

/*
#include <openssl/err.h>
#include "gmcert.h"
*/
import "C"

import (
	"errors"
)

// GetErrors get error from openssl
func GetErrors() error {
	bio := C.BIO_new(C.BIO_s_mem())
	if bio == nil {
		return errors.New("getErrors BIO_new failure")
	}
	defer C.BIO_free(bio)
	C.ERR_print_errors(bio)
	var p *C.char
	errLen := C.BIO_get_mem_data_func(bio, &p)
	if errLen <= 0 {
		return errors.New("getErrors BIO_get_mem_data failure")
	}
	return errors.New(C.GoString(p))
}
