/* *********************************************************************************************************************
 * Copyright (c) Huawei Technologies Co., Ltd. 2022-2022. All rights reserved.
 * Description: GM
 * Create     : 2022-02-21
 * ****************************************************************************************************************** */

#ifndef GM_PKEY_H
#define GM_PKEY_H

// the included header files
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <openssl/ec.h>
#include <openssl/sm2.h>
#include <openssl/bio.h>
#include <openssl/evp.h>
#include <openssl/pem.h>
#include <openssl/err.h>
#include <openssl/engine.h>
#include <openssl/objects.h>
#include <openssl/opensslconf.h>

#include <securec.h>
#include <securectype.h>


EVP_PKEY_CTX *NewPkeyKeygenCtx(const char *alg, ENGINE *e);
unsigned char *SkSign(EVP_PKEY *sk, const unsigned char *digest, size_t digestLen, size_t *sigLen, ENGINE *e);
int PkVerify(EVP_PKEY *pk, EVP_PKEY_CTX *ctx, const unsigned char *digest,
    	size_t digestLen, const unsigned char *sig, size_t sigLen, ENGINE *e);
EVP_PKEY *PemReadBioPubKey(BIO *bio);
int PemWriteBioPubKey(BIO *bio, EVP_PKEY *pkey);
EVP_PKEY_CTX* GetPubKeyCtxFromPk(EVP_PKEY *pk);
int ComputeIDDigest(EVP_PKEY *pkey, unsigned char *outBuf, unsigned long *bufLen);
EVP_MD * GetSm3DigestName();
#endif
