/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2021-2022. All rights reserved.
 */

package wrapper

/*
#include <openssl/rand.h>
*/
import "C"
import "errors"

const maxRandomLen = 2048

// GenerateRandom generate random number by openssl RAND_bytes
func GenerateRandom(length int) ([]byte, error) {
	if length > maxRandomLen {
		return nil, errors.New("over the max random length")
	}
	outbuf := make([]byte, length)
	if C.RAND_bytes((*C.uchar)(&outbuf[0]), C.int(length)) <= 0 {
		return nil, GetErrors()
	}
	return outbuf[:length], nil
}
