/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2020. All rights reserved.
 */

package logger

// LogCfg log config struct
type LogCfg struct {
	Type         string            `yaml:"Type"`
	Level        string            `yaml:"Level"`
	ModuleLevels map[string]string `yaml:"ModuleLevels,omitempty"`
	Rotation     LogRotation       `yaml:"Rotation,omitempty"`
}

// LogRotation contains configs for log rotation.
type LogRotation struct {
	Enabled    bool   `yaml:"Enabled"`
	Filename   string `yaml:"Filename"`
	MaxSize    int    `yaml:"MaxSize"`
	MaxAge     int    `yaml:"MaxAge"`
	MaxBackups int    `yaml:"MaxBackups"`
	LocalTime  bool   `yaml:"LocalTime"`
	Compress   bool   `yaml:"Compress"`
}
