package client

import (
	"testing"

	"huawei.com/huaweichain/sdk/crypto"
)

func TestAddNode(t *testing.T) {
	name := "_Node1.Org1"
	hostOveride := ""
	host := "localhost"
	port := 80

	client := NewEmptyGatewayClient()
	client.cpt = &crypto.Info{}
	if err := client.AddNode(name, hostOveride, host, port); err != nil {
		t.Errorf(err.Error())
	}

	_, ok1 := client.GetNode("_node1.org1")
	if !ok1 {
		t.Errorf("_node1.org1 should exist")
	}
	_, ok2 := client.GetNode("_Node1.Org1")
	if !ok2 {
		t.Errorf("_Node1.Org1 should exist")
	}
}

func TestCheckNode(t *testing.T) {
	node1 := "aaa-bbb_ccc.123"
	t.Run("Right", func(t *testing.T) {
		err := checkNodeName(node1)
		if err != nil {
			t.Errorf(err.Error())
		}
	})

	node2 := ".aaa-bbb_ccc.123"
	t.Run("Right", func(t *testing.T) {
		err := checkNodeName(node2)
		if err == nil {
			t.Errorf("should be error")
		}
	})
}
