/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2023-2023. All rights reserved.
 */

// Package flow is the implementation of flow sdk for go client.
package flow

import (
	"huawei.com/huaweichain/sdk/flow/internal"
)

// AdminFlow is the role of administrator
// which is to streaming invoke chain flow
type AdminFlow struct {
	stub internal.Stub
}

func newAdminFlow(stub internal.Stub) *AdminFlow {
	return &AdminFlow{
		stub: stub,
	}
}

// Chain is to return ChainFlow for admin
func (a *AdminFlow) Chain(node string) *ChainFlow {
	return newChainFlow(a.stub, node)
}
