/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2023-2023. All rights reserved.
 */

package flow

import (
	"context"
	"testing"
	"time"

	"huawei.com/huaweichain/sdk/client"
)

func TestJoinChainWithSnap(t *testing.T) {
	sdk := &client.GatewayClient{}
	chain := ""
	newNode := ""
	existNode := ""
	seeds := []string{"", ""}

	future, err := LoadFlow(sdk).Admin().Chain(newNode).
		Entrypoint("zone_a", false, seeds).
		JoinWithSnap(context.Background(), chain, existNode)
	if err != nil {
		return
	}
	defer future.Cancel()

	for {
		select {
		case res := <-future.Get():
			switch res.StepCode() {
			case JoinSuccess:
			default:
				// TODO
			}
		case <-time.After(3 * time.Second):
			return
		}
	}
}

var timeout int64 = 60
