/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2023-2023. All rights reserved.
 */

package flow

import (
	"testing"

	"github.com/pkg/errors"

	"huawei.com/huaweichain/proto/common"
	"huawei.com/huaweichain/sdk/flow/status"
)

func TestHandleStatusError(t *testing.T) {
	res := common.Response{Status: common.BAD_REQUEST, StatusInfo: "error message"}
	err := status.ResponseToErr(&res)
	err2 := errors.WithMessage(err, "error wrapper")
	s1, ok := status.FromError(err)
	if ok {
		t.Logf("node_name: %s, status: %s, msg: %s", "node", s1.String(), s1.Message())
	} else {
		t.Fatal("failed to parse error code")
	}
	s2, ok := status.FromError(err2)
	if ok {
		t.Fatalf("failed to parse error code node_name: %s, status: %s, msg: %s", "node", s2.String(), s2.Message())
	} else {
		t.Logf("node_name: %s, status: %s, msg: %s", "node", s2.String(), s2.Message())
	}
}
