/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2023-2023. All rights reserved.
 */

package test

import (
	"strings"

	"huawei.com/huaweichain/sdk/flow/types"
)

var pkgPath string = "config/contract.zip"
var roots1 = [][]byte{tlsCertOther}
var roots2 = [][]byte{cacert}
var key []byte
var consenter = []string{"node1_org1"}
var keyString string = `-----BEGIN PRIVATE KEY-----
MIGHAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBG0wawIBAQQgeQ1WPoPDyUmMF+nX
Vhfch3DRVt8pM9oK7di9IZkiiOWhRANCAAQKoizhzJsSbegWZsOmFFdge7gwDP1b
ACLvfmhTIQYJppWIKMYGJFYJ+O73l2MxBRpyBBOnayywMdWArGK0WF7x
-----END PRIVATE KEY-----`
var privateKey = []byte(keyString)
var certString string = `-----BEGIN CERTIFICATE-----
MIIClDCCAjqgAwIBAgIRAMRutSXS4HefEZyiuCZ5/owwCgYIKoZIzj0EAwIwgZMx
DTALBgNVBAYTBHRlc3QxDTALBgNVBAgTBHRlc3QxDTALBgNVBAcTBHRlc3QxDTAL
BgNVBAkTBHRlc3QxDTALBgNVBBETBHRlc3QxGTAXBgNVBAoTEG9yZzEuZXhhbXBs
ZS5jb20xDTALBgNVBAsTBHRlc3QxHDAaBgNVBAMTE2NhLm9yZzEuZXhhbXBsZS5j
b20wHhcNMjAwMjI5MDYwNTAwWhcNMzAwMjI2MDYwNTAwWjCBkzENMAsGA1UEBhME
dGVzdDENMAsGA1UECBMEdGVzdDENMAsGA1UEBxMEdGVzdDENMAsGA1UECRMEdGVz
dDENMAsGA1UEERMEdGVzdDEZMBcGA1UEChMQb3JnMS5leGFtcGxlLmNvbTENMAsG
A1UECxMEdGVzdDEcMBoGA1UEAxMTY2Eub3JnMS5leGFtcGxlLmNvbTBZMBMGByqG
SM49AgEGCCqGSM49AwEHA0IABOx1Zo5ZWC8HouOqDFczRoj3aSyEyBsOoOZR2Wfc
ASB7JL0PfN1NnO9d67E2+bYk9xrIWfEYWFGI+wrqF8+kUiejbTBrMA4GA1UdDwEB
/wQEAwIBpjAdBgNVHSUEFjAUBggrBgEFBQcDAgYIKwYBBQUHAwEwDwYDVR0TAQH/
BAUwAwEB/zApBgNVHQ4EIgQgaTOBXgpb9p10WundQSHdDehm3Afuv6CzcpDSWeqG
b9owCgYIKoZIzj0EAwIDSAAwRQIhAMkizmIv1bpj3P0phvBwp7m/x95HAIcm6nFa
I8AEi3/cAiBDlS/pZSWkg5SRShU1xIPNOfEbH+wjJPKZbe3DJNEGOQ==
-----END CERTIFICATE-----`
var ecdsaCertPEM = `-----BEGIN CERTIFICATE-----
MIIB/jCCAWICCQDscdUxw16XFDAJBgcqhkjOPQQBMEUxCzAJBgNVBAYTAkFVMRMw
EQYDVQQIEwpTb21lLVN0YXRlMSEwHwYDVQQKExhJbnRlcm5ldCBXaWRnaXRzIFB0
eSBMdGQwHhcNMTIxMTE0MTI0MDQ4WhcNMTUxMTE0MTI0MDQ4WjBFMQswCQYDVQQG
EwJBVTETMBEGA1UECBMKU29tZS1TdGF0ZTEhMB8GA1UEChMYSW50ZXJuZXQgV2lk
Z2l0cyBQdHkgTHRkMIGbMBAGByqGSM49AgEGBSuBBAAjA4GGAAQBY9+my9OoeSUR
lDQdV/x8LsOuLilthhiS1Tz4aGDHIPwC1mlvnf7fg5lecYpMCrLLhauAc1UJXcgl
01xoLuzgtAEAgv2P/jgytzRSpUYvgLBt1UA0leLYBy6mQQbrNEuqT3INapKIcUv8
XxYP0xMEUksLPq6Ca+CRSqTtrd/23uTnapkwCQYHKoZIzj0EAQOBigAwgYYCQXJo
A7Sl2nLVf+4Iu/tAX/IF4MavARKC4PPHK3zfuGfPR3oCCcsAoz3kAzOeijvd0iXb
H5jBImIxPL4WxQNiBTexAkF8D1EtpYuWdlVQ80/h/f4pBcGiXPqX5h2PQSQY7hP1
+jwM1FGS4fREIOvlBYr/SzzQRtwrvrzGYxDEDbsC0ZGRnA==
-----END CERTIFICATE-----
`
var ecdsaKeyPEM = testingKey(`-----BEGIN EC PARAMETERS-----
BgUrgQQAIw==
-----END EC PARAMETERS-----
-----BEGIN EC TESTING KEY-----
MIHcAgEBBEIBrsoKp0oqcv6/JovJJDoDVSGWdirrkgCWxrprGlzB9o0X8fV675X0
NwuBenXFfeZvVcwluO7/Q9wkYoPd/t3jGImgBwYFK4EEACOhgYkDgYYABAFj36bL
06h5JRGUNB1X/Hwuw64uKW2GGJLVPPhoYMcg/ALWaW+d/t+DmV5xikwKssuFq4Bz
VQldyCXTXGgu7OC0AQCC/Y/+ODK3NFKlRi+AsG3VQDSV4tgHLqZBBus0S6pPcg1q
kohxS/xfFg/TEwRSSws+roJr4JFKpO2t3/be5OdqmQ==
-----END EC TESTING KEY-----
`)
var tlsKey = []byte("-----BEGIN PRIVATE KEY-----\nMIGHAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBG0wawIBAQQgk+e1+Sk/Xqk0PpQI\nMTzh200HVYTPUK3rXq9AXbK7rJmhRANCAARWmjcRGcvG41I5pCj/tBLKTU0uB5RV\nDe6KL621vdgZWNF43nmHIQhRBUnL0dRWG7UpmB6yBrCcjXg9lhKTBeco\n-----END PRIVATE KEY-----\n")
var tlsCert = []byte("-----BEGIN CERTIFICATE-----\nMIICJjCCAcygAwIBAgIRAIMDvugbomJUZo4WyxeaQ9YwCgYIKoZIzj0EAwIwWTEJ\nMAcGA1UEBhMAMQkwBwYDVQQIEwAxCTAHBgNVBAcTADENMAsGA1UEChMEb3JnMTEJ\nMAcGA1UECxMAMRwwGgYDVQQDExNjYS5vcmcxLmV4YW1wbGUuY29tMCAXDTIyMDUx\nNjEyNTcxM1oYDzIwNTIwNTA4MTI1NzEzWjBcMQkwBwYDVQQGEwAxCTAHBgNVBAgT\nADEJMAcGA1UEBxMAMQ0wCwYDVQQKEwRvcmcxMQkwBwYDVQQLEwAxHzAdBgNVBAMT\nFnVzZXIwLm9yZzEuZXhhbXBsZS5jb20wWTATBgcqhkjOPQIBBggqhkjOPQMBBwNC\nAARWmjcRGcvG41I5pCj/tBLKTU0uB5RVDe6KL621vdgZWNF43nmHIQhRBUnL0dRW\nG7UpmB6yBrCcjXg9lhKTBecoo3AwbjAOBgNVHQ8BAf8EBAMCBaAwDAYDVR0TAQH/\nBAIwADArBgNVHSMEJDAigCAn4Z9NJkq9LkhMSD2JfCsQypx7+9kpbHxjHzn9hlIv\nOzAhBgNVHREEGjAYghZ1c2VyMC5vcmcxLmV4YW1wbGUuY29tMAoGCCqGSM49BAMC\nA0gAMEUCIA+ObZI0igwFAlNUkIzXZUGufxY6zY5Z/mK2+VXYLLFeAiEAnAYgK5gu\nbA+mbpGnRnpxPMVsbzcbJ2461iDDQCmw3+s=\n-----END CERTIFICATE-----\n")
var tlsCertOther = []byte(ecdsaCertPEM)
var tlsKeyOther = []byte(ecdsaKeyPEM)
var cert = []byte(certString)
var decrypt = func(a []byte) []byte {

	return a
}
var decryption = func(a []byte) ([]byte, error) {

	return a, nil
}
var genesisPath = "config/genesis.yml"
var node1, node2, node3, node4 types.Node

var (
	txHash       []byte
	subject      string
	description  string
	policy       = "policy"
	method       string   // 合约方法名
	args         []string // 合约参数
	contractName string
	domain       []string
)

func testingKey(s string) string { return strings.ReplaceAll(s, "TESTING KEY", "PRIVATE KEY") }
