/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2023-2023. All rights reserved.
 */

package types

import (
	"errors"
)

var (
	// ErrNoSuchNode returns when no such node exists in local network configuration.
	ErrNoSuchNode = errors.New("no such node exists in local network configuration")
	// ErrNoAvailableConsenter returns when no available consenter for transaction consensus step.
	ErrNoAvailableConsenter = errors.New("no available consenter for transaction consensus step")
	// ErrNoAvailableEndorser returns when no available endorser for transaction endorsing step.
	ErrNoAvailableEndorser = errors.New("no available endorser for transaction endorsing step")

	// ErrEmptyChainID returns when chain id is empty.
	ErrEmptyChainID = errors.New("chain id is empty")
)
